# Uses of Interface
org.eclipse.jface.text.source.IAnnotationHover

Packages that use IAnnotationHover
Package
Description
org.eclipse.jface.text.source
Provides a framework for connecting document regions with annotations and for displaying those.
org.eclipse.ui.editors.text
Provides a standard text editor and concrete document providers based `IFileBuffer` and others directly handling `IFile` and `IStorage` as editor input.

## Uses of IAnnotationHover in org.eclipse.jface.text.source

Classes in org.eclipse.jface.text.source that implement IAnnotationHover
Modifier and Type
Class
Description
`class`
`DefaultAnnotationHover`
Standard implementation of `IAnnotationHover`.
`class`
`LineChangeHover`
A hover for line oriented diffs.
Fields in org.eclipse.jface.text.source declared as IAnnotationHover
Modifier and Type
Field
Description
`protected IAnnotationHover`
SourceViewer.`fAnnotationHover`
The viewer's annotation hover
`protected IAnnotationHover`
SourceViewer.`fOverviewRulerAnnotationHover`
The viewer's overview ruler annotation hover
Methods in org.eclipse.jface.text.source that return IAnnotationHover
Modifier and Type
Method
Description
`protected IAnnotationHover`
AnnotationBarHoverManager.`getAnnotationHover()`
Returns the annotation hover for this hover manager.
`IAnnotationHover`
SourceViewerConfiguration.`getAnnotationHover(ISourceViewer sourceViewer)`
Returns the annotation hover which will provide the information to be shown in a hover popup window when requested for the given source viewer.
`IAnnotationHover`
AnnotationBarHoverManager.`getCurrentAnnotationHover()`
Returns the currently shown annotation hover or `null` if none hover is shown.
`IAnnotationHover`
ISourceViewerExtension3.`getCurrentAnnotationHover()`
Returns the currently displayed annotation hover if any, `null` otherwise.
`IAnnotationHover`
SourceViewer.`getCurrentAnnotationHover()`
`IAnnotationHover`
AbstractRulerColumn.`getHover()`
`IAnnotationHover`
AnnotationRulerColumn.`getHover()`
`IAnnotationHover`
ChangeRulerColumn.`getHover()`
`IAnnotationHover`
CompositeRuler.`getHover()`
`IAnnotationHover`
IVerticalRulerInfoExtension.`getHover()`
Returns the hover for this vertical ruler (column).
`IAnnotationHover`
LineNumberChangeRulerColumn.`getHover()`
`IAnnotationHover`
SourceViewerConfiguration.`getOverviewRulerAnnotationHover(ISourceViewer sourceViewer)`
Returns the annotation hover which will provide the information to be shown in a hover popup window when requested for the overview ruler of the given source viewer.This implementation always returns the general annotation hover returned by `getAnnotationHover`.
Methods in org.eclipse.jface.text.source with parameters of type IAnnotationHover
Modifier and Type
Method
Description
`void`
ISourceViewer.`setAnnotationHover(IAnnotationHover annotationHover)`
Sets the annotation hover of this source viewer.
`void`
SourceViewer.`setAnnotationHover(IAnnotationHover annotationHover)`
`protected final void`
AbstractRulerColumn.`setHover(IAnnotationHover hover)`
Sets the annotation hover.
`void`
AnnotationRulerColumn.`setHover(IAnnotationHover hover)`
`void`
ChangeRulerColumn.`setHover(IAnnotationHover hover)`
`void`
IChangeRulerColumn.`setHover(IAnnotationHover hover)`
Sets the hover of this ruler column.
`void`
LineNumberChangeRulerColumn.`setHover(IAnnotationHover hover)`
`void`
SourceViewer.`setOverviewRulerAnnotationHover(IAnnotationHover annotationHover)`
Sets the overview ruler's annotation hover of this source viewer.
Constructors in org.eclipse.jface.text.source with parameters of type IAnnotationHover
Modifier
Constructor
Description
``
`AnnotationBarHoverManager(ISourceViewer sourceViewer, IVerticalRuler ruler, IAnnotationHover annotationHover, IInformationControlCreator creator)`
Deprecated, for removal: This API element is subject to removal in a future version.
As of 2.1, replaced by `AnnotationBarHoverManager(IVerticalRulerInfo, ISourceViewer, IAnnotationHover, IInformationControlCreator)`
``
`AnnotationBarHoverManager(IVerticalRulerInfo rulerInfo, ISourceViewer sourceViewer, IAnnotationHover annotationHover, IInformationControlCreator creator)`
Creates an annotation hover manager with the given parameters.

## Uses of IAnnotationHover in org.eclipse.ui.editors.text

Methods in org.eclipse.ui.editors.text that return IAnnotationHover
Modifier and Type
Method
Description
`IAnnotationHover`
TextSourceViewerConfiguration.`getAnnotationHover(ISourceViewer sourceViewer)`
`IAnnotationHover`
TextSourceViewerConfiguration.`getOverviewRulerAnnotationHover(ISourceViewer sourceViewer)`